org.eclipse.jdt.core.util

## Interface IModuleMainClassAttribute

All Superinterfaces:
  IClassFileAttribute

    public interface IModuleMainClassAttribute
    extends IClassFileAttribute

Description of a Module Main Class Attribute as described in the JVMS9 4.7.27 This interface may be implemented by clients.

Since:
  3.14

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMainClassIndex()` Answer back the main class index.
`char[]` `getMainClassName()` Answer back the name of main class.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getMainClassIndex

    int getMainClassIndex()

Answer back the main class index.

Returns:
  the main class index

#### getMainClassName

    char[] getMainClassName()

Answer back the name of main class.

Returns:
  the name of main class